NodeTransformer (rhino 1.7.15 API)

Package org.mozilla.javascript

## Class NodeTransformer

- java.lang.Object
- - org.mozilla.javascript.NodeTransformer

-     public class NodeTransformer
      extends java.lang.Object

  This class transforms a tree to a lower-level representation for codegen.
  See Also:
    `Node`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(ScriptNode tree, boolean inStrictMode, CompilerEnvirons env)` |
    `void` | `transform​(ScriptNode tree, CompilerEnvirons env)` |
    `protected void` | `visitCall​(Node node, ScriptNode tree)` |
    `protected Node` | `visitLet​(boolean createWith, Node parent, Node previous, Node scopeNode)` |
    `protected void` | `visitNew​(Node node, ScriptNode tree)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeTransformer

          public NodeTransformer()

  - ### Method Detail

    - #### transform

          public final void transform​(ScriptNode tree,
                                      CompilerEnvirons env)

    - #### transform

          public final void transform​(ScriptNode tree,
                                      boolean inStrictMode,
                                      CompilerEnvirons env)

    - #### visitNew

          protected void visitNew​(Node node,
                                  ScriptNode tree)

    - #### visitCall

          protected void visitCall​(Node node,
                                   ScriptNode tree)

    - #### visitLet

          protected Node visitLet​(boolean createWith,
                                  Node parent,
                                  Node previous,
                                  Node scopeNode)